> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.invoice-api.xhub.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.invoice-api.xhub.io/_mcp/server.

# List Peppol transmissions

GET https://service.invoice-api.xhub.io/api/v1/peppol/transmissions

Outbound and inbound transmission log for the organization. Query params: `direction` (outbound|inbound), `status` (pending|sent|delivered|failed|rejected), `limit` (1-500, default 100).

Reference: https://docs.invoice-api.xhub.io/api-reference/peppol/list-transmissions

## Authentication

- `Authorization` header (bearer token, required) — API Key authentication. Use `sk_live_*` for production or `sk_test_*` for testing.

## Servers

- `https://service.invoice-api.xhub.io` (Invoice API v1 (production), default)
- `/` (Diese Instanz (lokale Entwicklung))

## Response

### 200

Transmission log

- `transmissions` (list of ApiV1PeppolTransmissionsGetResponsesContentApplicationJsonSchemaTransmissionsItems, required)

## Types

### ApiV1PeppolTransmissionsGetResponsesContentApplicationJsonSchemaTransmissionsItems

- `id` (string, required)
- `organizationId` (string, required)
- `invoiceId` (string, required, nullable)
- `direction` (enum, required)
  - Allowed values: `outbound`, `inbound`
- `providerName` (string, required)
- `messageId` (string, required) — Provider-assigned message id (or local-* for failed sends)
- `senderPeppolId` (string, required)
- `receiverPeppolId` (string, required)
- `documentType` (string, required)
- `status` (enum, required)
  - Allowed values: `pending`, `sent`, `delivered`, `failed`, `rejected`
- `errorCode` (string, required, nullable)
- `errorMessage` (string, required, nullable)
- `contentHash` (string, required, nullable) — SHA-256 of the UBL payload
- `createdAt` (datetime, required)
- `updatedAt` (datetime, required)
- `statusAt` (datetime, required, nullable)

## Examples

**Response**

```json
{
  "transmissions": [
    {
      "id": "string",
      "organizationId": "string",
      "invoiceId": "string",
      "direction": "outbound",
      "providerName": "storecove",
      "messageId": "string",
      "senderPeppolId": "9930:DE123456789",
      "receiverPeppolId": "9930:DE987654321",
      "documentType": "string",
      "status": "pending",
      "errorCode": "string",
      "errorMessage": "string",
      "contentHash": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z",
      "statusAt": "2024-01-15T09:30:00Z"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://service.invoice-api.xhub.io/api/v1/peppol/transmissions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://service.invoice-api.xhub.io/api/v1/peppol/transmissions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://service.invoice-api.xhub.io/api/v1/peppol/transmissions"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://service.invoice-api.xhub.io/api/v1/peppol/transmissions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://service.invoice-api.xhub.io/api/v1/peppol/transmissions")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://service.invoice-api.xhub.io/api/v1/peppol/transmissions', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://service.invoice-api.xhub.io/api/v1/peppol/transmissions");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://service.invoice-api.xhub.io/api/v1/peppol/transmissions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```